Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.ax25
Enum ConnState.ConnType

    java.lang.Object
      java.lang.Enum<ConnState.ConnType>
          org.ka2ddo.ax25.ConnState.ConnType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConnState.ConnType>

Enclosing class:
  ConnState

    public static enum ConnState.ConnType

extends java.lang.Enum<ConnState.ConnType>

Enumeration specifying the different types of connection-oriented AX.25 sessions.

Enum Constant Summary
`MOD128` Using a 128-frame sliding window.
`MOD8` Using an eight-frame sliding window.
`NONE` Not currently connection-oriented (still in initial negotiation).

Method Summary
`static ConnState.ConnType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConnState.ConnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ConnState.ConnType NONE

  Not currently connection-oriented (still in initial negotiation).

### MOD8

    public static final ConnState.ConnType MOD8

  Using an eight-frame sliding window.

### MOD128

    public static final ConnState.ConnType MOD128

  Using a 128-frame sliding window.

Method Detail

### values

    public static ConnState.ConnType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConnState.ConnType c : ConnState.ConnType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConnState.ConnType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD